summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2014-11-24 00:19:24 +0100
committerHolger Levsen <holger@layer-acht.org>2014-11-24 00:19:24 +0100
commit7894b2ed0adc2e272ccf440b9b01a20eeb068371 (patch)
tree4afd8907f71c7fd22968aae7c6840dd0b94f9b4a /bin
parent3b2227dddaf8af2da6c955d23fbadaae5562bd6d (diff)
downloadjenkins.debian.net-7894b2ed0adc2e272ccf440b9b01a20eeb068371.tar.xz
g-i: add four new jobs: (sid_daily|jessie)_gnome_(brltty|speakup)
Diffstat (limited to 'bin')
-rw-r--r--bin/g-i-installation.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/bin/g-i-installation.sh b/bin/g-i-installation.sh
index 74355978..64cb4ade 100644
--- a/bin/g-i-installation.sh
+++ b/bin/g-i-installation.sh
@@ -301,6 +301,14 @@ bootstrap_system() {
debian-edu_*)
EXTRA_APPEND="$EXTRA_APPEND DEBCONF_DEBUG=developer"
;;
+ *_brltty)
+ EXTRA_APPEND="$EXTRA_APPEND brltty=tt,ttyS0,en"
+ ;;
+ *_speakup)
+ EXTRA_APPEND="$EXTRA_APPEND speakup.synth=soft"
+ ;;
+ *)
+ ;;
esac
case $NAME in
debian-edu_*)
@@ -1157,6 +1165,20 @@ save_logs() {
#
sudo chroot $SYSTEM_MNT dpkg -l > $RESULTS/dpkg-l || ( echo "Warning: cannot run dpkg inside the installed system, did the installation finish correctly?" ; export FAILURE=true )
#
+ # check for must installed packages
+ #
+ case $NAME in
+ *_brltty)
+ grep brltty $RESULTS/dpkg-l || echo "Warning: package brltty not installed."
+ ;;
+ *_speakup)
+ grep epeakup RESULTS/dpkg-l || echo "Warning: package espeakup not installed."
+ ;;
+ *)
+ ;;
+ esac
+
+ #
# only on combi-servers and ltsp-servers:
# mount /opt
# copy LTSP logs and package list